#ifndef COLOR_FILTER_H
#define COLOR_FILTER_H

#include <opencv2/core.hpp>
#include <utility>
#include <string>
#include <vector>
#include "hsv_color.h"

using namespace std;

pair<cv::Mat, cv::Mat> filter_color(const cv::Mat& img, const vector<vector<vector<int>>>& ranges, int fillval = 255);

pair<cv::Mat, string> color_fliter_process(const cv::Mat& img, int threshold);

#endif
